package com.isu.gaswellwatch.entity;

import com.isu.gaswellwatch.vo.DepartmentVO;
import lombok.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;

/**
 * 区块对象 blocks
 * 
 * @author scwsl
 * @date 2024-11-17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Block extends Model<Block>  {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    private String name;

    /** 描述 */
    private String details;

    /** 创建时间 */
    private String createTime;

    /** 更新时间 */
    private String updateTime;

    /** 关联部门 */
    private DepartmentVO department;


}
