package com.isu.gaswellwatch.vo.command.scss;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;

import java.io.Serial;
import java.util.Collection;
import java.util.List;

/**
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/27 22:57
 */
public class TurnOn extends Command {

    @Serial
    private static final long serialVersionUID = 7288866205502636187L;

    public TurnOn() {
        this.setCode("SCSS.TURN_ON_THE_WELL");
    }

    @Override
    protected Collection<ModbusCommandDto> builderModbusCommand() {
        return List.of(ModbusCommandDto.builder().command("01050001FF00").length(16).build());
    }

}
